﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using Infragistics.Win.UltraWinSchedule;

namespace TimelineTest
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
    }

    private void Form1_Load(object sender, EventArgs e)
    {
      this.ultraCalendarInfo1.SelectedDateRanges.Add(new DateTime(2010, 1, 1), new DateTime(2010, 1, 31), true);

      Random rand = new Random(1000000);
      for (int group = 1; group <= 3; group++)
      {
        Owner owner = this.ultraCalendarInfo1.Owners.Add("Owner #" + group.ToString());

        for (int count = 1; count < 5; count++)
        {
          DateTime startDate = new DateTime(2010, 1, 1).AddHours(rand.Next(360));
          DateTime endDate = startDate.AddHours(rand.Next(360));
          Appointment ap = new Appointment(startDate, endDate);
          ap.Owner = owner;
          ap.Subject = "Item #" + count.ToString();
          this.ultraCalendarInfo1.Appointments.Add(ap);
        }
      }
    }

    private void ultraCalendarInfo1_AfterSelectedDateRangeChange(object sender, EventArgs e)
    {
      if (this.ultraCalendarInfo1.SelectedDateRanges.Count > 0)
      {
        this.ultraTimelineView1.EnsureDateTimeVisible(this.ultraCalendarInfo1.SelectedDateRanges[0].StartDate);
      }
    }

    private void ultraTimelineView1_VisibleDateTimeRangeChanged(object sender, VisibleDateTimeRangeChangedEventArgs e)
    {
      this.ultraCalendarInfo1.SelectedDateRanges.Add(e.VisibleDateTimeRange.StartDateTime, e.VisibleDateTimeRange.EndDateTime, true);
    }
  }
}
